## libthumbnailer 0.1.20-maemo0

=== Makefile ===
#############################################################################
# Makefile for building: projects
# Generated by qmake (2.01a) (Qt 4.7.4) on: Wed Oct 3 18:14:54 2012
# Project:  projects.pro
# Template: subdirs
# Command: /usr/bin/qmake PREFIX=/usr -o Makefile projects.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-tests

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/src/src.pro PREFIX=/usr -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/src/src.pro PREFIX=/usr -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
tests/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) tests/ || $(MKDIR) tests/ 
	cd tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-tests-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) tests/ || $(MKDIR) tests/ 
	cd tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-tests: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE)
sub-tests-make_default-ordered: tests/$(MAKEFILE) sub-src-make_default-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) 
sub-tests-make_default: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) 
sub-tests-make_first-ordered: tests/$(MAKEFILE) sub-src-make_first-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) first
sub-tests-make_first: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) first
sub-tests-all-ordered: tests/$(MAKEFILE) sub-src-all-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) all
sub-tests-all: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) all
sub-tests-clean-ordered: tests/$(MAKEFILE) sub-src-clean-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-tests-clean: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-tests-distclean-ordered: tests/$(MAKEFILE) sub-src-distclean-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-tests-distclean: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-tests-install_subtargets-ordered: tests/$(MAKEFILE) sub-src-install_subtargets-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) install
sub-tests-install_subtargets: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) install
sub-tests-uninstall_subtargets-ordered: tests/$(MAKEFILE) sub-src-uninstall_subtargets-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-tests-uninstall_subtargets: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: projects.pro  /targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		shared.pri \
		doc/doc.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) PREFIX=/usr -o Makefile projects.pro
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf:
shared.pri:
doc/doc.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) PREFIX=/usr -o Makefile projects.pro

qmake_all: sub-src-qmake_all sub-tests-qmake_all FORCE

make_default: sub-src-make_default-ordered sub-tests-make_default-ordered FORCE
make_first: sub-src-make_first-ordered sub-tests-make_first-ordered FORCE
all: sub-src-all-ordered sub-tests-all-ordered FORCE
clean: sub-src-clean-ordered sub-tests-clean-ordered FORCE
	-$(DEL_FILE) lib/libthumbnailer*
	-$(DEL_FILE) build-stamp
	-$(DEL_FILE) configure-stamp
	-$(DEL_FILE) artifacts/*.deb
	-$(DEL_FILE) doc/reference/*
	-$(DEL_FILE) doc/man/*
distclean: sub-src-distclean-ordered sub-tests-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
	-$(DEL_FILE) lib/libthumbnailer* build-stamp configure-stamp artifacts/*.deb doc/reference/* doc/man/*
install_subtargets: sub-src-install_subtargets-ordered sub-tests-install_subtargets-ordered FORCE
uninstall_subtargets: sub-src-uninstall_subtargets-ordered sub-tests-uninstall_subtargets-ordered FORCE

doc: FORCE
	(cd doc && VERSION=0.1.20~unreleased LIBRARYNAME=thumbnailer doxygen doxygen.cfg)

setup:
	install -d "$(INSTALL_ROOT)/usr/share/qt4/mkspecs/features" && echo "LIBRARY_BASE_DIR = /home/marcin/meecolay/libs/maemo-af-libthumbnailer" > "$(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/thumbnailer_install.prf"

install:
	make setup

sub-src-check_ordered: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
sub-tests-check_ordered: tests/$(MAKEFILE) sub-src-check_ordered 
	cd tests/ && $(MAKE) check
check: install sub-src-check_ordered sub-tests-check_ordered

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install_htmldocs_install: FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/doc/libthumbnailer0/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/doc/libthumbnailer0/ 
	-$(INSTALL_DIR) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/doc/html $(INSTALL_ROOT)/usr/share/doc/libthumbnailer0/


uninstall_htmldocs_install:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/doc/libthumbnailer0/html
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/doc/libthumbnailer0/ 


install: install_subtargets install_htmldocs_install  FORCE

uninstall: uninstall_htmldocs_install  uninstall_subtargets FORCE

FORCE:
