=== src/Makefile ===
#############################################################################
# Makefile for building: libthumbnailer.so.0.1.20~unreleased
# Generated by qmake (2.01a) (Qt 4.7.4) on: Wed Oct 3 18:14:54 2012
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake PREFIX=/usr -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle2armel/usr/include/QtCore -I/targets/fremantle2armel/usr/include/QtGui -I/targets/fremantle2armel/usr/include/QtDBus -I/targets/fremantle2armel/usr/include -I. -I.moc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared -Wl,-soname,libthumbnailer.so.0
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = echo
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = thumbnailer_p.cpp \
		mediaartinfo_p.cpp \
		mediaartrequester_p.cpp \
		dbus/dbus_types.cpp \
		thumbnailer_generic.cpp \
		tumbler_cache.cpp \
		albumart_requester.cpp \
		dbus-services.cpp \
		ini_fini.cpp .moc/moc_thumbnailer.cpp \
		.moc/moc_mediaartrequester.cpp \
		.moc/moc_thumbnailer_p.cpp \
		.moc/moc_mediaartrequester_p.cpp \
		.moc/moc_thumbnailer_generic.cpp \
		.moc/moc_tumbler_cache.cpp \
		.moc/moc_albumart_requester.cpp \
		.moc/moc_dbus-services.cpp
OBJECTS       = .obj/thumbnailer_p.o \
		.obj/mediaartinfo_p.o \
		.obj/mediaartrequester_p.o \
		.obj/dbus_types.o \
		.obj/thumbnailer_generic.o \
		.obj/tumbler_cache.o \
		.obj/albumart_requester.o \
		.obj/dbus-services.o \
		.obj/ini_fini.o \
		.obj/moc_thumbnailer.o \
		.obj/moc_mediaartrequester.o \
		.obj/moc_thumbnailer_p.o \
		.obj/moc_mediaartrequester_p.o \
		.obj/moc_thumbnailer_generic.o \
		.obj/moc_tumbler_cache.o \
		.obj/moc_albumart_requester.o \
		.obj/moc_dbus-services.o
DIST          = /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		../shared.pri \
		base.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dll.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/shared.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = thumbnailer
DESTDIR       = ../lib/
TARGET        = libthumbnailer.so.0.1.20~unreleased
TARGETA       = ../lib/libthumbnailer.a
TARGETD       = libthumbnailer.so.0.1.20~unreleased
TARGET0       = libthumbnailer.so
TARGET1       = libthumbnailer.so.0
TARGET2       = libthumbnailer.so.0.1

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../lib/$(TARGET)

../lib/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../lib/ || $(MKDIR) ../lib/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../lib/$(TARGET)
	-$(DEL_FILE) ../lib/$(TARGET0)
	-$(DEL_FILE) ../lib/$(TARGET1)
	-$(DEL_FILE) ../lib/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../lib/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: src.pro  /targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		../shared.pri \
		base.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dll.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/shared.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) PREFIX=/usr -o Makefile src.pro
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf:
../shared.pri:
base.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dll.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/shared.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/usr -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/thumbnailer0.1.20~unreleased || $(MKDIR) .obj/thumbnailer0.1.20~unreleased 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/thumbnailer0.1.20~unreleased/ && $(COPY_FILE) --parents include/thumbnailer.h include/mediaartinfo.h include/mediaartrequester.h thumbnailer_p.h mediaartrequester_p.h dbus/dbus_types.h dbus/thumbnailer_generic.h dbus/tumbler_cache.h dbus/albumart_requester.h dbus-services.h .obj/thumbnailer0.1.20~unreleased/ && $(COPY_FILE) --parents thumbnailer_p.cpp mediaartinfo_p.cpp mediaartrequester_p.cpp dbus/dbus_types.cpp thumbnailer_generic.cpp tumbler_cache.cpp albumart_requester.cpp dbus-services.cpp ini_fini.cpp .obj/thumbnailer0.1.20~unreleased/ && (cd `dirname .obj/thumbnailer0.1.20~unreleased` && $(TAR) thumbnailer0.1.20~unreleased.tar thumbnailer0.1.20~unreleased && $(COMPRESS) thumbnailer0.1.20~unreleased.tar) && $(MOVE) `dirname .obj/thumbnailer0.1.20~unreleased`/thumbnailer0.1.20~unreleased.tar.gz . && $(DEL_FILE) -r .obj/thumbnailer0.1.20~unreleased


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) dbus/thumbnailer_generic.h dbus/tumbler_cache.h dbus/albumart_requester.h thumbnailer_generic.cpp tumbler_cache.cpp albumart_requester.cpp
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../lib/$(TARGET) 
	-$(DEL_FILE) ../lib/$(TARGET0) ../lib/$(TARGET1) ../lib/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


dbus/thumbnailer_generic.h: dbus/tumbler-service-dbus.xml
	qdbusxml2cpp -c ThumbnailerGenericProxy -p dbus/thumbnailer_generic.h:thumbnailer_generic.cpp -i dbus_types.h dbus/tumbler-service-dbus.xml org.freedesktop.thumbnails.Thumbnailer1

dbus/tumbler_cache.h: dbus/tumbler-cache-service-dbus.xml
	qdbusxml2cpp -c ThumbnailerGenericCacheProxy -p dbus/tumbler_cache.h:tumbler_cache.cpp -i dbus_types.h dbus/tumbler-cache-service-dbus.xml org.freedesktop.thumbnails.Cache1

dbus/albumart_requester.h: dbus/albumart_requester.xml
	qdbusxml2cpp -c ComNokiaAlbumArtRequester -p dbus/albumart_requester.h:albumart_requester.cpp -i dbus_types.h dbus/albumart_requester.xml com.nokia.albumart.Requester

check:
	echo No check here

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
