=== tests/Makefile ===
#############################################################################
# Makefile for building: tests
# Generated by qmake (2.01a) (Qt 4.7.4) on: Wed Oct 3 18:14:54 2012
# Project:  tests.pro
# Template: subdirs
# Command: /usr/bin/qmake PREFIX=/usr -o Makefile tests.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-thumbnailer-unit-tests \
		sub-thumbnailer-func-tests

thumbnailer-unit-tests/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) thumbnailer-unit-tests/ || $(MKDIR) thumbnailer-unit-tests/ 
	cd thumbnailer-unit-tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/thumbnailer-unit-tests/thumbnailer-unit-tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-thumbnailer-unit-tests-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) thumbnailer-unit-tests/ || $(MKDIR) thumbnailer-unit-tests/ 
	cd thumbnailer-unit-tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/thumbnailer-unit-tests/thumbnailer-unit-tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-thumbnailer-unit-tests: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE)
sub-thumbnailer-unit-tests-make_default: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) 
sub-thumbnailer-unit-tests-make_first: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) first
sub-thumbnailer-unit-tests-all: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) all
sub-thumbnailer-unit-tests-clean: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-thumbnailer-unit-tests-distclean: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-thumbnailer-unit-tests-install_subtargets: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) install
sub-thumbnailer-unit-tests-uninstall_subtargets: thumbnailer-unit-tests/$(MAKEFILE) FORCE
	cd thumbnailer-unit-tests/ && $(MAKE) -f $(MAKEFILE) uninstall
thumbnailer-func-tests/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) thumbnailer-func-tests/ || $(MKDIR) thumbnailer-func-tests/ 
	cd thumbnailer-func-tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/thumbnailer-func-tests/thumbnailer-func-tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-thumbnailer-func-tests-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) thumbnailer-func-tests/ || $(MKDIR) thumbnailer-func-tests/ 
	cd thumbnailer-func-tests/ && $(QMAKE) /home/marcin/meecolay/libs/maemo-af-libthumbnailer/tests/thumbnailer-func-tests/thumbnailer-func-tests.pro PREFIX=/usr -o $(MAKEFILE)
sub-thumbnailer-func-tests: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE)
sub-thumbnailer-func-tests-make_default: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) 
sub-thumbnailer-func-tests-make_first: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) first
sub-thumbnailer-func-tests-all: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) all
sub-thumbnailer-func-tests-clean: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-thumbnailer-func-tests-distclean: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-thumbnailer-func-tests-install_subtargets: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) install
sub-thumbnailer-func-tests-uninstall_subtargets: thumbnailer-func-tests/$(MAKEFILE) FORCE
	cd thumbnailer-func-tests/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: tests.pro  /targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) PREFIX=/usr -o Makefile tests.pro
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) PREFIX=/usr -o Makefile tests.pro

qmake_all: sub-thumbnailer-unit-tests-qmake_all sub-thumbnailer-func-tests-qmake_all FORCE

make_default: sub-thumbnailer-unit-tests-make_default sub-thumbnailer-func-tests-make_default FORCE
make_first: sub-thumbnailer-unit-tests-make_first sub-thumbnailer-func-tests-make_first FORCE
all: sub-thumbnailer-unit-tests-all sub-thumbnailer-func-tests-all FORCE
clean: sub-thumbnailer-unit-tests-clean sub-thumbnailer-func-tests-clean FORCE
distclean: sub-thumbnailer-unit-tests-distclean sub-thumbnailer-func-tests-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-thumbnailer-unit-tests-install_subtargets sub-thumbnailer-func-tests-install_subtargets FORCE
uninstall_subtargets: sub-thumbnailer-unit-tests-uninstall_subtargets sub-thumbnailer-func-tests-uninstall_subtargets FORCE

sub-thumbnailer-unit-tests-check: thumbnailer-unit-tests/$(MAKEFILE)
	cd thumbnailer-unit-tests/ && $(MAKE) check
sub-thumbnailer-func-tests-check: thumbnailer-func-tests/$(MAKEFILE)
	cd thumbnailer-func-tests/ && $(MAKE) check
check: sub-thumbnailer-unit-tests-check sub-thumbnailer-func-tests-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
