=== tests/thumbnailer-unit-tests/Makefile ===
#############################################################################
# Makefile for building: thumbnailertest-unit
# Generated by qmake (2.01a) (Qt 4.7.4) on: Wed Oct 3 18:14:54 2012
# Project:  thumbnailer-unit-tests.pro
# Template: app
# Command: /usr/bin/qmake PREFIX=/usr -o Makefile thumbnailer-unit-tests.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DTESTING_CODE -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle2armel/usr/include/QtCore -I/targets/fremantle2armel/usr/include/QtGui -I/targets/fremantle2armel/usr/include -I/targets/fremantle2armel/usr/include/QtDBus -I/targets/fremantle2armel/usr/include/QtTest -I../../src/.moc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../src/.obj/

####### Files

SOURCES       = thumbtest.cpp \
		../../src/albumart_requester.cpp \
		../../src/dbus-services.cpp \
		../../src/ini_fini.cpp \
		../../src/mediaartinfo_p.cpp \
		../../src/mediaartrequester_p.cpp \
		../../src/thumbnailer_generic.cpp \
		../../src/thumbnailer_p.cpp \
		../../src/tumbler_cache.cpp \
		../../src/dbus/dbus_types.cpp ../../src/.moc/moc_thumbtest.cpp \
		../../src/.moc/moc_dbus-services.cpp \
		../../src/.moc/moc_mediaartrequester_p.cpp \
		../../src/.moc/moc_thumbnailer_p.cpp \
		../../src/.moc/moc_mediaartrequester.cpp \
		../../src/.moc/moc_thumbnailer.cpp \
		../../src/.moc/moc_albumart_requester.cpp \
		../../src/.moc/moc_thumbnailer_generic.cpp \
		../../src/.moc/moc_tumbler_cache.cpp
OBJECTS       = ../../src/.obj/thumbtest.o \
		../../src/.obj/albumart_requester.o \
		../../src/.obj/dbus-services.o \
		../../src/.obj/ini_fini.o \
		../../src/.obj/mediaartinfo_p.o \
		../../src/.obj/mediaartrequester_p.o \
		../../src/.obj/thumbnailer_generic.o \
		../../src/.obj/thumbnailer_p.o \
		../../src/.obj/tumbler_cache.o \
		../../src/.obj/dbus_types.o \
		../../src/.obj/moc_thumbtest.o \
		../../src/.obj/moc_dbus-services.o \
		../../src/.obj/moc_mediaartrequester_p.o \
		../../src/.obj/moc_thumbnailer_p.o \
		../../src/.obj/moc_mediaartrequester.o \
		../../src/.obj/moc_thumbnailer.o \
		../../src/.obj/moc_albumart_requester.o \
		../../src/.obj/moc_thumbnailer_generic.o \
		../../src/.obj/moc_tumbler_cache.o
DIST          = /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../shared.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		thumbnailer-unit-tests.pro
QMAKE_TARGET  = thumbnailertest-unit
DESTDIR       = 
TARGET        = thumbnailertest-unit

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: thumbnailer-unit-tests.pro  /targets/fremantle2armel/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../shared.pri \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) PREFIX=/usr -o Makefile thumbnailer-unit-tests.pro
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_pre.prf:
../../shared.pri:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qdbus.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle2armel/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/usr -o Makefile thumbnailer-unit-tests.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../src/.obj/thumbnailertest-unit0.1.20~unreleased || $(MKDIR) ../../src/.obj/thumbnailertest-unit0.1.20~unreleased 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../src/.obj/thumbnailertest-unit0.1.20~unreleased/ && $(COPY_FILE) --parents thumbtest.h ../../src/dbus-services.h ../../src/mediaartrequester_p.h ../../src/thumbnailer_p.h ../../src/include/mediaartinfo.h ../../src/include/mediaartrequester.h ../../src/include/thumbnailer.h ../../src/dbus/albumart_requester.h ../../src/dbus/dbus_types.h ../../src/dbus/thumbnailer_generic.h ../../src/dbus/tumbler_cache.h ../../src/.obj/thumbnailertest-unit0.1.20~unreleased/ && $(COPY_FILE) --parents thumbtest.cpp ../../src/albumart_requester.cpp ../../src/dbus-services.cpp ../../src/ini_fini.cpp ../../src/mediaartinfo_p.cpp ../../src/mediaartrequester_p.cpp ../../src/thumbnailer_generic.cpp ../../src/thumbnailer_p.cpp ../../src/tumbler_cache.cpp ../../src/dbus/dbus_types.cpp ../../src/.obj/thumbnailertest-unit0.1.20~unreleased/ && (cd `dirname ../../src/.obj/thumbnailertest-unit0.1.20~unreleased` && $(TAR) thumbnailertest-unit0.1.20~unreleased.tar thumbnailertest-unit0.1.20~unreleased && $(COMPRESS) thumbnailertest-unit0.1.20~unreleased.tar) && $(MOVE) `dirname ../../src/.obj/thumbnailertest-unit0.1.20~unreleased`/thumbnailertest-unit0.1.20~unreleased.tar.gz . && $(DEL_FILE) -r ../../src/.obj/thumbnailertest-unit0.1.20~unreleased


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: thumbnailertest-unit install
	./thumbnailertest-unit

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../../src/.moc/moc_thumbtest.cpp ../../src/.moc/moc_dbus-services.cpp ../../src/.moc/moc_mediaartrequester_p.cpp ../../src/.moc/moc_thumbnailer_p.cpp ../../src/.moc/moc_mediaartrequester.cpp ../../src/.moc/moc_thumbnailer.cpp ../../src/.moc/moc_albumart_requester.cpp ../../src/.moc/moc_thumbnailer_generic.cpp ../../src/.moc/moc_tumbler_cache.cpp
compiler_moc_header_clean:
