=== examples/thumbnailer-demo/debian/changelog ===
thumbnailer-demo (0.2.0) unstable; urgency=low

  * alligning to the new version of API

 -- Dariusz Wiechecki <dariusz.wiechecki@comarch.com>  Fri, 23 Apr 2010 08:55:00 +0200

thumbnailer-demo (0.1.1) unstable; urgency=low

  * Extending the demo for all the signals.
  * Changing the name of the package

 -- Dariusz Wiechecki <ext-dariusz.2.wiechecki@nokia.com>  Thu, 26 Nov 2009 18:00:00 +0200

thumbnailer-demo (0.1.0) unstable; urgency=low

  * Initial release

 -- Dariusz Wiechecki <ext-dariusz.2.wiechecki@nokia.com>  Wed, 29 Oct 2009 14:17:43 +0200
