=== debian/control ===
Source: libthumbnailer
Section: libs
Priority: extra
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), doxygen, maemo-optify
Build-Recommends: testhelper
Vcs-Git: git://gitorious.org/maemo-af/libthumbnailer.git
Vcs-Browser: http://maemo.gitorious.org/maemo-af/libthumbnailer
Standards-Version: 3.7.3

Package: libthumbnailer-dev
Section: libdevel
Architecture: any
Depends: libthumbnailer0 (= ${binary:Version}), libqt4-dev (>= 4.6), libqt4-dbus (>= 4.6)
Description: Qt bindings for freedesktop.org thumbnails, development files

Package: libthumbnailer0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: tumbler
Suggests: maemo-video-thumbnailer
Description: Qt bindings for freedesktop.org thumbnails

Package: libthumbnailer0-dbg
Section: libs
Architecture: any
Depends: libthumbnailer0 (= ${binary:Version})
Description: Qt bindings for freedesktop.org thumbnails, debug symbols

Package: libthumbnailer0-doc
Section: doc
Architecture: any
Depends: libthumbnailer-dev, debhelper(>= 5)
Description: Qt bindings for freedesktop.org thumbnails, documentation

Package: libthumbnailer0-tests
Section: libs
Architecture: any
Depends: libthumbnailer0 (= ${binary:Version}), ci-testing
XB-Maemo-CI-Packages: libthumbnailer0, tumbler
XB-Maemo-CI-Stage: fast, staging, acceptance
Description: Qt bindings for freedesktop.org thumbnails - test package

Package: libthumbnailer0-func-tests
Section: libs
Architecture: any
Depends: libthumbnailer0 (= ${binary:Version})
Description: Qt bindings for freedesktop.org thumbnails - functional tests
