=== examples/thumbnailer-demo/debian/control ===
Source: thumbnailer-demo
Section: libs
Priority: extra
Maintainer: Dariusz Wiechecki <dariusz.wiechecki@comarch.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5), doxygen
Standards-Version: 3.7.3


Package: thumbnailer-demo
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Qt bindings for freedesktop.org thumbnails - test package
