=== examples/thumbnailer-demo/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake install_prefix=/usr
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir
	make CFLAGS="$(CFLAGS)" all
	#make doc
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	make clean || true
	rm -f lib/*
	rm -rf .obj
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp

	INSTALL_ROOT=$(CURDIR)/debian/tmp $(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testroot
	dh_installchangelogs 
	dh_installdocs

#	dh_installexamples
	dh_install --sourcedir=$(CURDIR)/debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo

	dh_link
	dh_compress
	dh_fixperms

	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_clean

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
